## org.h2.util
Class AbbaLockingDetector

    java.lang.Object
      org.h2.util.AbbaLockingDetector

All Implemented Interfaces:
  java.lang.Runnable

    public class AbbaLockingDetector

extends java.lang.Object
implements java.lang.Runnable

Utility to detect AB-BA deadlocks.

Constructor Summary
`AbbaLockingDetector()`

Method Summary
`void` `reset()` Reset the state.
`void` `run()`
`AbbaLockingDetector` `startCollecting()` Start collecting locking data.
`AbbaLockingDetector` `stopCollecting()` Stop collecting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbbaLockingDetector

    public AbbaLockingDetector()

Method Detail

### startCollecting

    public AbbaLockingDetector startCollecting()

  Start collecting locking data.

  Returns:
    this

### reset

    public void reset()

  Reset the state.

### stopCollecting

    public AbbaLockingDetector stopCollecting()

  Stop collecting.

  Returns:
    this

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`